ubuntu-location-service: com::ubuntu::location::service::Skeleton::DBusDaemonCredentialsResolver Struct Reference

ubuntu-location-service .. An aggregating location service providing positioning and geocoding capabilities to applications.

Public Member Functions | Public Attributes | List of all members
com::ubuntu::location::service::Skeleton::DBusDaemonCredentialsResolver Struct Reference

`#include <skeleton.h>`

Inheritance diagram for com::ubuntu::location::service::Skeleton::DBusDaemonCredentialsResolver:
Collaboration diagram for com::ubuntu::location::service::Skeleton::DBusDaemonCredentialsResolver:

## Public Member Functions
| DBusDaemonCredentialsResolver (const core::dbus::Bus::Ptr &bus)
Credentials | resolve_credentials_for_incoming_message (const core::dbus::Message::Ptr &msg)
Public Member Functions inherited from com::ubuntu::location::service::Skeleton::CredentialsResolver
| CredentialsResolver ()=default
virtual | ~CredentialsResolver ()=default

## Public Attributes
core::dbus::DBus | daemon

## Additional Inherited Members
Public Types inherited from com::ubuntu::location::service::Skeleton::CredentialsResolver
typedef std::shared_ptr< CredentialsResolver > | Ptr

## Detailed Description

Definition at line 64 of file skeleton.h.

## Constructor & Destructor Documentation

## ◆ DBusDaemonCredentialsResolver()

com::ubuntu::location::service::Skeleton::DBusDaemonCredentialsResolver::DBusDaemonCredentialsResolver | ( | const core::dbus::Bus::Ptr & | bus | ) |

## Member Function Documentation

## ◆ resolve_credentials_for_incoming_message()

Credentials com::ubuntu::location::service::Skeleton::DBusDaemonCredentialsResolver::resolve_credentials_for_incoming_message | ( | const core::dbus::Message::Ptr & | msg | ) |
| virtual

Implements com::ubuntu::location::service::Skeleton::CredentialsResolver.

## Member Data Documentation

## ◆ daemon

core::dbus::DBus com::ubuntu::location::service::Skeleton::DBusDaemonCredentialsResolver::daemon

Definition at line 73 of file skeleton.h.

The documentation for this struct was generated from the following file:

- /build/location-service-git/src/location-service/include/location_service/com/ubuntu/location/service/skeleton.h